#ifndef _Global_H_
#define _Global_H_

/*  ________________________________________________________________________  */
/* |----------------------  P R O J E C T   N O T E S  ---------------------| */
/* |________________________________________________________________________| */
/* |                                                                        | */
/* |                           frydaysoft.de                                | */
/* |                                                                        | */
/* |________________________________________________________________________| */
/* | author     :   Sven Freitag                                            | */
/* |________________________________________________________________________| */
/* |****************************  S O U R C E  *****************************| */
/* |________________________________________________________________________| */
/* | project    :   LightCtrl                                               | */
/* |________________________________________________________________________| */
/* | file name  :   global.h         date: 12.11.2009      version :  1.0   | */
/* |________________________________________________________________________| */
/* | task       :   definitions                                             | */
/* |________________________________________________________________________| */
/* | target     :   ATMEL ATmega48/88, 3.6864 MHz                           | */
/* |________________________________________________________________________| */
/* | compiler   :   WIN AVR C Compiler                                      | */
/* |________________________________________________________________________| */
/* | history    :   01.09.2009  project start                               | */
/* |________________________________________________________________________| */
/* | tested by  :                                                           | */
/* |________________________________________________________________________| */

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
//#include <avr/iom48.h>


#define START_TOK '>'
#define END_TOK '\n'



#define enable_interrupt    sei


/********************** Standard Definitionen *********************************/
#ifndef NULLPTR
 #define NULLPTR  0
#endif
   
#define FALSE    0
#define TRUE     1

/********  own types for unsigned char, int and long **************************/
typedef unsigned char UCHAR;
typedef unsigned int  UINT;
typedef unsigned long ULONG;
typedef unsigned char BOOL;  

/************************  Maximum & Minimum Definition  **********************/
#define MAX(x,y) ((x)>(y) ? x : y)
#define MIN(x,y) ((x)<(y) ? x : y)

/********************************  End of File ********************************/
#endif // _Global_H_
